# DataSelector (ARX API Documentation)

org.deidentifier.arx

## Class DataSelector

- java.lang.Object
- - org.deidentifier.arx.DataSelector

-     public class DataSelector
      extends java.lang.Object

  A selector for tuples.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataSelector` | `and()`
    `DataSelector` | `begin()`
    `void` | `build()`
    `static DataSelector` | `create(Data data)`
    `static DataSelector` | `create(Data data, java.lang.String query)`
    `DataSelector` | `end()`
    `DataSelector` | `equals(java.util.Date val)`
    `DataSelector` | `equals(double val)`
    `DataSelector` | `equals(java.lang.String val)`
    `DataSelector` | `field(java.lang.String name)`
    `DataSelector` | `geq(java.util.Date val)`
    `DataSelector` | `geq(double val)`
    `DataSelector` | `geq(java.lang.String val)`
    `DataSelector` | `greater(java.util.Date val)`
    `DataSelector` | `greater(double val)`
    `DataSelector` | `greater(java.lang.String val)`
    `boolean` | `isSelected(int row)` Determines whether the given row is selected by the expression.
    `DataSelector` | `leq(java.util.Date val)`
    `DataSelector` | `leq(double val)`
    `DataSelector` | `leq(java.lang.String val)`
    `DataSelector` | `less(java.util.Date val)`
    `DataSelector` | `less(double val)`
    `DataSelector` | `less(java.lang.String val)`
    `DataSelector` | `or()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static DataSelector create(Data data)

      Parameters:
        `data` -
      Returns:

    - #### create

          public static DataSelector create(Data data,
                            java.lang.String query)
                                     throws java.text.ParseException

      Parameters:
        `data` -
        `query` -
      Returns:
      Throws:
        `java.text.ParseException`

    - #### and

          public DataSelector and()

      Returns:

    - #### begin

          public DataSelector begin()

      Returns:

    - #### build

          public void build()
                     throws java.text.ParseException

      Throws:
        `java.text.ParseException`

    - #### end

          public DataSelector end()

      Returns:

    - #### equals

          public DataSelector equals(java.util.Date val)

      Parameters:
        `val` -
      Returns:

    - #### equals

          public DataSelector equals(double val)

      Parameters:
        `val` -
      Returns:

    - #### equals

          public DataSelector equals(java.lang.String val)

      Parameters:
        `val` -
      Returns:

    - #### field

          public DataSelector field(java.lang.String name)

      Parameters:
        `name` -
      Returns:

    - #### geq

          public DataSelector geq(java.util.Date val)

      Parameters:
        `val` -
      Returns:

    - #### geq

          public DataSelector geq(double val)

      Parameters:
        `val` -
      Returns:

    - #### geq

          public DataSelector geq(java.lang.String val)

      Parameters:
        `val` -
      Returns:

    - #### greater

          public DataSelector greater(java.util.Date val)

      Parameters:
        `val` -
      Returns:

    - #### greater

          public DataSelector greater(double val)

      Parameters:
        `val` -
      Returns:

    - #### greater

          public DataSelector greater(java.lang.String val)

      Parameters:
        `val` -
      Returns:

    - #### isSelected

          public boolean isSelected(int row)

      Determines whether the given row is selected by the expression.
      Parameters:
        `row` -
      Returns:

    - #### leq

          public DataSelector leq(java.util.Date val)

      Parameters:
        `val` -
      Returns:

    - #### leq

          public DataSelector leq(double val)

      Parameters:
        `val` -
      Returns:

    - #### leq

          public DataSelector leq(java.lang.String val)

      Parameters:
        `val` -
      Returns:

    - #### less

          public DataSelector less(java.util.Date val)

      Parameters:
        `val` -
      Returns:

    - #### less

          public DataSelector less(double val)

      Parameters:
        `val` -
      Returns:

    - #### less

          public DataSelector less(java.lang.String val)

      Parameters:
        `val` -
      Returns:

    - #### or

          public DataSelector or()

      Returns: